Skip to main content
PUT
/
api
/
v2
/
follow-ups
/
{id}
Update follow-up status
curl --request PUT \
  --url https://rcur.app/api/v2/follow-ups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "solved"
}
'
{
  "id": "fu_abc123",
  "description": "Failed payment for subscription",
  "type": "retry",
  "status": "pending",
  "amount": "29.99",
  "currency": "EUR",
  "created_at": "2025-01-15 10:30:00",
  "mollie_profile_id": "pfl_abc123",
  "mollie_payment_id": "tr_abc123",
  "reason": "Insufficient funds",
  "reason_code": "AM04",
  "retries_done": 2,
  "mails_sent": 1,
  "next_retry_at": "2025-02-01",
  "customer": {},
  "subscription": {},
  "order": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

Follow-up status update

status
enum<string>
required

New status

Available options:
pending,
failed,
solved
Example:

"solved"

Response

Follow-up details

id
string
required
Example:

"fu_abc123"

description
string
required
Example:

"Failed payment for subscription"

type
enum<string>
required
Available options:
both,
link,
retry
Example:

"retry"

status
enum<string>
required
Available options:
pending,
solved,
failed
Example:

"pending"

amount
string
required
Example:

"29.99"

currency
enum<string>
required
Available options:
EUR
Example:

"EUR"

created_at
string
required
Example:

"2025-01-15 10:30:00"

mollie_profile_id
string | null
Example:

"pfl_abc123"

mollie_payment_id
string | null
Example:

"tr_abc123"

reason
string | null
Example:

"Insufficient funds"

reason_code
string | null
Example:

"AM04"

retries_done
integer
Example:

2

mails_sent
integer
Example:

1

next_retry_at
string | null
Example:

"2025-02-01"

customer
object
subscription
object
order
object